package com.zhiqiyun.open.enmus;


/**
 * @author jtoms
 */

public enum YN implements IEnum<Integer> {
    /**
     *
     */
    N(0, "否"), Y(1, "是");

    private final int code;
    private final String text;

    YN(Integer code, String text) {
        this.code = code;
        this.text = text;
    }

    public static YN enumOf(Integer code) {
        YN[] values = YN.values();
        for (YN type : values) {
            if (type.code == code) {
                return type;
            }
        }
        return null;
    }

    public boolean getBoolean() {
        return this.code == 1;
    }

    public int getCode() {
        return code;
    }

    public String getText() {
        return text;
    }

    @Override
    public Integer getValue() {
        return code;
    }

    public String getName() {
        YN yn = YN.enumOf(code);
        if (yn == null) {
            return "";
        }
        return yn.name();
    }
}
